HubiC GUI v0.9

Nombre de visites : 2592



/!\ Android app to sync your files with HubiC /!\


Here is something I've worked on, a gui written in python with GTK 3 for HubiC working on Ubuntu





Download link :
http://blog.phoenamandre.fr/redirect.php?r=1


To come next :

No idea



- login + logout
- tray icon
- notifications
- exclude folders
- settings (upload, download speed, etc)
- pause, resume sync
- browse
- automatic update checking, downloading and installing
- Publish list
- doesn't depend on hubic anymore (will download it automatically)
- new login pages


Changelog 0.9

Solving issue with XFCE




Tested on:
Ubuntu 14.04 amd64 / i386
Ubuntu 12.04 amd64
Pseudonyme


Code
CAPTCHA Image


Message
Mise en forme Laissez votre souris sur les balises pour avoir des informations sur leurs utilisations.

Gras Italic Souligné Lien Image Tableau Ligne Colonne div




Oli

Bonjour,

J'ai installé le paquet "gir1.2-appindicator3-0.1" qui a supprimé l'erreur précédente.
Mais ça ne fonctionne toujours pas.
Après quelques recherches, je pense avoir trouvé que gtk 3.10+ doit être installé (et que gtk 3.0 ne suffit pas) à cause de l'erreur :
AttributeError: 'gi.repository.Gtk' object has no attribute 'HeaderBar'

Il serait utile d'intégrer les dépendances au paquet.

Merci.

Kubuntu 12.04

meloli@fixe:~$ indicator-hubic
is hubic installed?
getting status
status Busy
ok
default
well, it WASN'T defined after all!
Traceback (most recent call last):
File "/etc/indicator-hubic/hubic.py", line 75, in
init.launch()
File "/etc/indicator-hubic/init.py", line 151, in launch
window = Window(modelWindow,self)
File "/etc/indicator-hubic/mainwindow.py", line 14, in __init__
self.Generate()
File "/etc/indicator-hubic/mainwindow.py", line 189, in Generate
toolbar = self.CreateToolbar()
File "/etc/indicator-hubic/mainwindow.py", line 62, in CreateToolbar
toolbar = Gtk.HeaderBar()
File "/usr/lib/python2.7/dist-packages/gi/module.py", line 243, in __getattr__
return getattr(self._introspection_module, name)
File "/usr/lib/python2.7/dist-packages/gi/module.py", line 105, in __getattr__
self.__name__, name))
AttributeError: 'gi.repository.Gtk' object has no attribute 'HeaderBar'

swen

...'time between sync' est en minute (man hubic)
swen

swen

bonsoir,

- dans 'settings', 'time between sync' c'est en seconde ou en minute?
- Hubic propose maintenant une fonction backup (en plus de la synchro), est-ce le menu "published" qu'il faut utiliser?

bravo pour l'appli (meme si elle n n'existe pas en francais)
Cordialement

Swen
Linux Mint 17 Mate

dom

Merci de votre indicateur que je viens de commencer à utiliser.
Cordialement.

Dominique

Oli

Bonjour,

Je viens de voir votre message.
Voici ce que ça donne :
meloli@fixe:~$ sudo apt-get install libappindicator3-1
[sudo] password for meloli:
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances
Lecture des informations d'état... Fait
libappindicator3-1 est déjà la plus récente version disponible.
libappindicator3-1 passé en « installé manuellement ».
Les paquets suivants ont été installés automatiquement et ne sont plus nécessaires :
libnspr4-0d libnss3-1d
Veuillez utiliser « apt-get autoremove » pour les supprimer.
0 mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour.

En fait libappindicator3-1 et libappindicator1 sont déjà installés.

Merci pour d'autres idées.

Phoenamandre

Bonjour,


Essayez ceci :

sudo apt-get install libappindicator3-1

Oli

Bonjour,

J'essaie le logiciel mais j'ai le problème suivant :

meloli@fixe:~/Bureau$ indicator-hubic
ERROR:root:Could not find any typelib for AppIndicator3
Traceback (most recent call last):
File "/etc/indicator-hubic/hubic.py", line 20, in
from gi.repository import AppIndicator3 as appindicator
ImportError: cannot import name AppIndicator3

Pouvez-vous m'indiquer ce qui ne fonctionne pas ?

Merci du boulot.

Olivier V
Kubuntu 12.04

Kp

Merci !
Moi, l'icone me plait bien !

Bristow

Le minimum quand on se sert est de dire merci, alors GRAND MERCI !

Testé sous Ubuntu 14.04 64 bits, l'application fonctionne semble-t-il parfaitement !
J'ai simplement l'onglet Status qui affiche des choses quand il veut, et le browser qui ne sert pas à grand chose (à mon humbe avis :)).
Sinon, ce serait sympa que l'interface soit multilingue (pour ma famille :)).

Mais encore merci !

alschi

Merci mille fois! Novice sur ubuntu et aussi perplexe devant les commandes du terminal pour lancer hubic que devant un oeuf carré, cette interface graphique me sauve!

suddenci

C'est super, merci beaucoup pour le travail et le partage !!
Bonne continuation


(installation sans aucun soucis, fonctionnement a priori parfait)

Gustare

Bonjour,

L'icone était pas terrible,
J'en ai fait une nouvelle dont je me sers.
On peut la télécharger ici :
http://www.collectiftoutseul.fr/bricabrac/hubic.png

Voilà,
bonne continuation,
Je me sers du logiciel quotidiennement.
Alors merci

onnee

Bonjour,
Bizarrement je me retrouve avec 2 fois hubic en graphique et je suis obligé de rentrer les infos chaque fois que je démarre l'ordi.

Comment peut-on désinstaller ce soft phoenamandre?

de plus il freeze.

Je suis sur Ubuntu 14.04

Merci de ce soft sympa

Michel

Phoenamandre

Oui, mince, je corrige cette erreur dès que possible, en attendant utilisez cette version :
http://ks357365.kimsufi.com/indicator-hubic/gui/0.6/indicator-hubic.deb

Laurent09

bonjour, merci pour l'appli Hubic ! Je l'utilise depuis quelques mois avec Ubuntu 12.04, et tout marchait bien jusqu'à hier où je reçois ce message d'erreur lorsque je lance en terminal ( ça ne marche plus du tout en graphique ):AttributeError: 'gi.repository.Gtk' object has no attribute 'HeaderBar'.
Avez-vous une solution ??
Merci,
Laurent.

Phoenamandre

Bonjour !

Malheureusement mon interface utilise le client écrit par ovh, qui ne prend pas en charge le multi-comptes, désolé !

Chris

Bonjour,

une idée d'amélioration : gérer du multicompte. En effet j'ai 2 comptes chez hubic (car je n'ai pas besoin d'avoir 10To, 2 * 100 Go me suffisent) et j'aimerais bien pouvoir gérer les 2 en séparés.
Serait-ce possible ?

Merci.

Chris.

Phoenamandre

Bonjour,


Je viens de résoudre ce souci, il suffit de télécharger la mise à jour !

En passant la fenêtre s'adapte désormais à l'environnement (Gnome ou autre)

mbaig66

Bonjour, je viens d'installer votre module sur Xubuntu 14.04 avec xfce, tout fonctionne bien, sauf l'icon tray qui est absolument énorme. Comment puis-je remédier à cela. Bien cordialement.
Michel

JP

Bonjour

félicitations pour cet excellent travail.

fraxiparine

Merci pour ce joli travail. Cela marche impeccable

gsil01

Merci pour cette superbe interface.

montignymoto

Merci pour cette interface qui manquait.

Phoenamandre

Nouvelle version, normalement le problème de dépendance est résolu !

DoudTechData

@Teddy merci !

Laurent

Super! merci

Teddy

Bonjour,

Pour DoudTechData,
il manque une dépendance
https://bugs.launchpad.net/gamecaster/+bug/1098354

sudo apt-get install gir1.2-appindicator3-0.1

Cordialement,

DoudTechData

Salut,

Sous quelle version de gnome-shell as-tu testé ? lorsque je lance indicator-hubic manuellement, j'ai l'erreur suivante:
ERROR:root:Could not find any typelib for AppIndicator3
Traceback (most recent call last):
File "/etc/indicator-hubic/hubic.py", line 20, in
from gi.repository import AppIndicator3 as appindicator
ImportError: cannot import name AppIndicator3


je suis sous ubuntu Gnome 14.04, avec gnome-shell 3.10.4

manuel

Hello,

Would it be possible to provide package as a tar ?

Many thanks.

ars

Merci beaucoup. Muchas gracias.

Phoenamandre

@Chris
Je ne sais pas si xfce est compatible avec les indicator Ubuntu, je vais tester de ce pas !
Merci pour le retour ;)

Chris

Bonjour,

je suis sous linuxmint xfce 16, je teste votre interface mais je n'ai pas l'indicator dans la barre par contre je vois bien les messages s'afficher.

Comment puis-je avoir l'indicateur ?

Merci
Chris.

Manu

Merci pour votre travail

Manu

arkim

Merci beaucoup